CommitLogReadHandler.CommitLogReadErrorReason (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.db.commitlog

## Enum CommitLogReadHandler.CommitLogReadErrorReason

- java.lang.Object
- - java.lang.Enum<CommitLogReadHandler.CommitLogReadErrorReason>
  - - org.apache.cassandra.db.commitlog.CommitLogReadHandler.CommitLogReadErrorReason

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CommitLogReadHandler.CommitLogReadErrorReason>
  Enclosing interface:
    CommitLogReadHandler

      public static enum CommitLogReadHandler.CommitLogReadErrorReason
      extends java.lang.Enum<CommitLogReadHandler.CommitLogReadErrorReason>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EOF`
    `MUTATION_ERROR`
    `RECOVERABLE_DESCRIPTOR_ERROR`
    `UNRECOVERABLE_DESCRIPTOR_ERROR`
    `UNRECOVERABLE_UNKNOWN_ERROR`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CommitLogReadHandler.CommitLogReadErrorReason` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CommitLogReadHandler.CommitLogReadErrorReason[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RECOVERABLE_DESCRIPTOR_ERROR

          public static final CommitLogReadHandler.CommitLogReadErrorReason RECOVERABLE_DESCRIPTOR_ERROR

    - #### UNRECOVERABLE_DESCRIPTOR_ERROR

          public static final CommitLogReadHandler.CommitLogReadErrorReason UNRECOVERABLE_DESCRIPTOR_ERROR

    - #### MUTATION_ERROR

          public static final CommitLogReadHandler.CommitLogReadErrorReason MUTATION_ERROR

    - #### UNRECOVERABLE_UNKNOWN_ERROR

          public static final CommitLogReadHandler.CommitLogReadErrorReason UNRECOVERABLE_UNKNOWN_ERROR

    - #### EOF

          public static final CommitLogReadHandler.CommitLogReadErrorReason EOF

  - ### Method Detail

    - #### values

          public static CommitLogReadHandler.CommitLogReadErrorReason[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CommitLogReadHandler.CommitLogReadErrorReason c : CommitLogReadHandler.CommitLogReadErrorReason.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CommitLogReadHandler.CommitLogReadErrorReason valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2018 The Apache Software Foundation